Subject: bug#5936: 23.1.95; fix a bug in abbrev--before-point

From: Stefan Monnier <[email-masked]>
Date: Mon, 12 Apr 2010 14:25:16 -0400

> If you use the :regexp property in an abbrev table, all abbrevs in that
> table will fail except those with only one char.

Not at all.  But you may get such a result if you use a naive regexp, yes.

> This is because of a regexp match in abbrev--before-point which only
> looks back one char.

No, this is because the regexp you have to use must match part of the
text *before* the abbrev.  That's why the doc for define-abbrev-table
gives as example \<\(\w+\)\W* rather than just \(\w+\)\W*.

        Stefan